org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_TOKENNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_TOKENNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_TOKENNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_TOKENNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_TOKENNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_TOKENNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindEditable(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindKey(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindSelected(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_TOKENNode` | `setActionListener(java.lang.String value)`
    `UI5M_TOKENNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_TOKENNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_TOKENNode` | `setComment(java.lang.String value)`
    `UI5M_TOKENNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_TOKENNode` | `setEditable(java.lang.String value)`
    `UI5M_TOKENNode` | `setId(java.lang.String value)`
    `UI5M_TOKENNode` | `setKey(java.lang.String value)`
    `UI5M_TOKENNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_TOKENNode` | `setReference(java.lang.String value)`
    `UI5M_TOKENNode` | `setRendered(boolean value)`
    `UI5M_TOKENNode` | `setRendered(java.lang.String value)`
    `UI5M_TOKENNode` | `setSelected(boolean value)`
    `UI5M_TOKENNode` | `setSelected(java.lang.String value)`
    `UI5M_TOKENNode` | `setStyleseq(java.lang.String value)`
    `UI5M_TOKENNode` | `setStylevariant(java.lang.String value)`
    `UI5M_TOKENNode` | `setText(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_TOKENNode

          public UI5M_TOKENNode()

  - ### Method Detail

    - #### setId

          public UI5M_TOKENNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_TOKENNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_TOKENNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_TOKENNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_TOKENNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_TOKENNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_TOKENNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_TOKENNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_TOKENNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_TOKENNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEditable

          public UI5M_TOKENNode setEditable(java.lang.String value)

    - #### bindEditable

          public UI5M_TOKENNode bindEditable(IDynamicContentBindingObject value)

    - #### setKey

          public UI5M_TOKENNode setKey(java.lang.String value)

    - #### bindKey

          public UI5M_TOKENNode bindKey(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_TOKENNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_TOKENNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_TOKENNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_TOKENNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_TOKENNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_TOKENNode setRendered(boolean value)

    - #### setSelected

          public UI5M_TOKENNode setSelected(java.lang.String value)

    - #### bindSelected

          public UI5M_TOKENNode bindSelected(IDynamicContentBindingObject value)

    - #### setSelected

          public UI5M_TOKENNode setSelected(boolean value)

    - #### setStyleseq

          public UI5M_TOKENNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_TOKENNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_TOKENNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_TOKENNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_TOKENNode setText(java.lang.String value)

    - #### bindText

          public UI5M_TOKENNode bindText(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.